<h2> Dein Profil {{user.displayName}}</h2>

<div fxLayout="row" fxLayoutAlign="center">

  <div fxLayout="column">
    <div *ngIf='croppedImage; else photo'>
      <img [src]="croppedImage" class="round previewpic" />
      <div>
        <button mat-raised-button color="primary" (click)="savePic()"> Bild speichern</button>
      </div>
    </div>
    <ng-template #photo>
      <div *ngIf='user.photoURL; else initials'>
        <img [src]="user.photoURL" class="round profilepic" />
      </div>
      <ng-template #initials>
        <div class="round profilepic" style='background-color: red; border: 2px solid black;'>
          <p fxLayoutAlign="center center">T</p>
        </div>
      </ng-template>
    </ng-template>
    <!-- <div *ngIf="croppedImage">
      <h2>Profilbild</h2>
      <img [src]="croppedImage" class="round previewpic" />
      <div>
      <button mat-raised-button color="primary" (click)="save()">Speichern</button>
    </div>
    </div> -->
  </div>

    <div fxLayout="column" class="imageContainer">
      <input type="file" accept="image/png, image/jpeg" (change)="fileChangeEvent($event)" />
      <image-cropper
        [imageChangedEvent]="imageChangedEvent"
        [maintainAspectRatio]="true"
        [aspectRatio]="1 / 1"
        [resizeToWidth]="200"
        format={{datatype}}
        outputType="base64"
        roundCropper = "true"
        (imageCropped)="imageCropped($event)"
        (imageLoaded)="imageLoaded()"
        (cropperReady)="cropperReady()"
        (loadImageFailed)="loadImageFailed()"
        class="profilepic"> 
      </image-cropper>
    </div>

    </div>
  
    <div fxLayout="row">
        <mat-form-field>
            <mat-label>Sie sind...</mat-label>
            <select matNativeControl [(ngModel)]="profileData.relationship" name="relationship">
              <option value="mutter">Mutter</option>
              <option value="vater">Vater</option>
              <option value="schwester">Schwester</option>
              <option value="bruder">Bruder</option>
              <option value="grossmutter">Großmutter</option>
              <option value="grossvater">Großvater</option>
              <option value="ehefrau">Ehefrau</option>
              <option value="ehemann">Ehemann</option>
              <option value="enkel">Enkel</option>
              <option value="enkelin">Enkelin</option>
              <option value="freund">Freund</option>
              <option value="freundin">Freundin</option>
              <option value="sonstiges">Sonstiges</option>
            </select>
          </mat-form-field>
    </div>
    <div fxLayout="row">
      <mat-form-field>
        <mat-label [(ngModel)]="profileData.job" name="job">Beruf</mat-label>
        <input matInput >
        </mat-form-field>
  </div>
  <div fxLayout="row">
    <mat-form-field>
      <mat-label>Hobbies</mat-label>
      <textarea matInput [(ngModel)]="profileData.hobbies" name="hobbies"></textarea>
      </mat-form-field>
</div>
<div fxLayout="row">
  <mat-form-field>
    <mat-label>Bundesland</mat-label>
    <select matNativeControl [(ngModel)]="profileData.state" name="state">
      <option value="baden-wuerttemberg">Baden-Württemberg</option>
      <option value="bayern">Bayern</option>
      <option value="berlin">Berlin</option>
      <option value="brandenburg">Brandenburg</option>
      <option value="bremen">Bremen</option>
      <option value="hamburg">Hamburg</option>
      <option value="hessen">Hessen</option>
      <option value="mecklenburg-vorpommern">Mecklenburg-Vorpommern</option>
      <option value="niedersachsen">Niedersachsen</option>
      <option value="nordrhein-westfalen">Nordrhein-Westfalen</option>
      <option value="rheinland-pfalz">Rheinland-Pfalz</option>
      <option value="saarland">Saarland</option>
      <option value="sachsen">Sachsen</option>
      <option value="sachsen-anhalt">Sachsen-Anhalt</option>
      <option value="schleswig-holstein">Schleswig-Holstein</option>
      <option value="thueringen">Thüringen</option>
    </select>
    </mat-form-field>
 <!--   <button matButton (click)='saveProfileData()'>Speichern</button> -->
</div>